Subject: Re: bug#18601: 24.3.94; set-fringe-mode with left fringe 0 breaks window width calculations on Mac OS

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Oct 2014 09:19:11 +0300

> Date: Thu, 02 Oct 2014 22:37:16 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
> > I think this is the result of 1 column being reserved for continuation
> > glyph on the left (required for R2L lines).  This is a "feature".
> > Packages that are sensitive to the number of columns in a window
> > should now account for this even when only the left fringe is zero.
> 
> Did you really change that in between 24.3.93 and 24.3.94?

Yes, in r117500.  That was one part of fixing display of truncated R2L
lines in the many use cases you presented.

Btw, a simple way to avoid this side effect is to have a 1-pixel left
fringe, i.e. "pay" 1 pixel.  That's not a high cost, IMO, if the
motivation for removing the left fringe is to have 1 more column
available for the same frame size.